#ifndef MARS_MMcPedestalCopy
#define MARS_MMcPedestalCopy

#ifndef MARS_MTask
#include "MTask.h"
#endif

class MMcFadcHeader;
class MPedestalCam;

class MMcPedestalCopy : public MTask
{
private:
    const MMcFadcHeader *fMcPed;
    MPedestalCam *fPedCam;

    Bool_t CheckRunType(MParList *pList) const;

public:
    MMcPedestalCopy(const char *name=NULL, const char *title=NULL);

    Bool_t PreProcess(MParList *pList);

    virtual Bool_t ReInit(MParList *pList);

    ClassDef(MMcPedestalCopy, 0)   // Task which copies the pedestals from the MC into the standard container
};

#endif
